classification
Title: PEP 338 documentation
Type: Stage:
Components: None Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: fdrake Nosy List: fdrake, ncoghlan, quiver
Priority: normal Keywords: patch

Created on 2006-02-11 09:18 by ncoghlan, last changed 2006-03-24 13:37 by ncoghlan. This issue is now closed.

Files
File name Uploaded Description Edit
librunpy.tex ncoghlan, 2006-02-18 15:07 Update to remove all public functions except run_module
Messages (8)
msg49470 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-02-11 09:18
The attached Latex file (librunpy.tex) contains the
documentation for PEP 338's proposed runpy module.

I haven't included a patch for lib.tex or
Makefile.deps, since those changes are fairly trivial
and I'm not too particular about where the module gets
slotted into the Library reference.
msg49471 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-02-11 11:03
Logged In: YES 
user_id=1038590

Minor tweak to run_function_code to clarify the problem with
resolving names when the locals and globals dictionaries are
different.
msg49472 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-02-11 14:44
Logged In: YES 
user_id=1038590

Updated to avoid trying to hide exec's quirks
msg49473 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-02-17 15:20
Logged In: YES 
user_id=1038590

PEP 338 has been updated as of 18-Feb-2006. Those changes
are still to be incorporated into this documentation.
msg49474 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-02-18 15:07
Logged In: YES 
user_id=1038590

Updated to match Feb 18 version of PEP.
msg49475 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-03-17 14:02
Logged In: YES 
user_id=1038590

Kicking in Fred's direction to check my formatting isn't too
horrible and to decide where to include it in the Library
Reference table of contents.
msg49476 - (view) Author: George Yoshida (quiver) (Python committer) Date: 2006-03-19 04:20
Logged In: YES 
user_id=671362

amk has committed his PEP328 to whatsnew, so that should be 
helpful.

Following his style:
- use \programopt for "-m" option 
- use \pep{} for PEP links
- add seealso section
 
And as for your document,
- s/initialised/initialized

> where to include it in the Library Reference table of 
contents.
I'd like to give my vote to:

- imp
- zipimport
- *runpy*
- pkgutil
- modulefinder

-- george
msg49477 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2006-03-24 13:37
Logged In: YES 
user_id=1038590

Incorporated George's suggestions, and placed immediately
after modulefinder in the Table of Contents.

Checked in as rev 43294.
History
Date User Action Args
2006-02-11 09:18:54ncoghlancreate